DCMTK: OFCmdParam Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Private Member Functions | List of all members
OFCmdParam Struct Reference

Internal structure to store valid command line parameters. More...

## Public Types
enum | E_ParamMode { PM_Mandatory , PM_Optional , PM_MultiMandatory , PM_MultiOptional }
| mode specifying parameter's cardinality More...

## Public Member Functions
| OFCmdParam (const char *param, const char *descr, const E_ParamMode mode)
| constructor

## Public Attributes
const OFString | ParamName
| parameter name
const OFString | ParamDescription
| parameter description
const E_ParamMode | ParamMode
| parameter's cardinality mode

## Private Member Functions
OFCmdParam & | operator= (const OFCmdParam &arg)
| private undefined assignment operator

## Detailed Description

Internal structure to store valid command line parameters.

Parameters are all command line arguments which are no options (e.g. file names).

## Member Enumeration Documentation

## ◆ E_ParamMode

enum OFCmdParam::E_ParamMode

mode specifying parameter's cardinality

Enumerator
PM_Mandatory | parameter is required (# = 1), "option"
PM_Optional | parameter is optional (# = 0..1), "[option]"
PM_MultiMandatory | parameter is required, more than one value is allowed (# = 1..n), "option..."
PM_MultiOptional | parameter is optional, more than one value is allowed (# = 0..n), "[option...]"

## Constructor & Destructor Documentation

## ◆ OFCmdParam()

OFCmdParam::OFCmdParam | ( | const char * | param,
|  | const char * | descr,
|  | const E_ParamMode | mode )
| inline

constructor

Parameters

  param | parameter name
  descr | parameter description
  mode | parameter's cardinality mode

References ParamDescription, ParamMode, and ParamName.

Referenced by operator=().

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofcmdln.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2